Change log for libdebug package in Ubuntu

117 of 17 results
Published in eoan-release on 2019-04-21
Deleted in eoan-proposed (Reason: moved to release)
libdebug (0.5.3-4) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.

 -- Peter Pentchev <email address hidden>  Wed, 27 Feb 2019 00:09:44 +0200

Available diffs

Superseded in eoan-release on 2019-04-21
Published in disco-release on 2019-01-17
Deleted in disco-proposed (Reason: moved to release)
libdebug (0.5.3-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add the no-static-library patch to avoid installing the static
    library even into debian/tmp.
  * Run `dh_missing --fail-missing`.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <email address hidden>  Wed, 16 Jan 2019 17:12:29 +0200

Available diffs

Superseded in disco-release on 2019-01-17
Deleted in disco-proposed on 2019-01-18 (Reason: moved to release)
libdebug (0.5.3-2) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.2.1: install
    the upstream release notes (Changes) as NEWS, not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add the -dev package name to the symbols file.
  * Minimize the upstream signing key, only keep the <email address hidden> UID.

 -- Peter Pentchev <email address hidden>  Sun, 16 Dec 2018 02:49:45 +0200

Available diffs

Superseded in disco-release on 2018-12-16
Published in cosmic-release on 2018-08-02
Deleted in cosmic-proposed (Reason: moved to release)
libdebug (0.5.3-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.5 with no changes.
  * New upstream release, update the upstream copyright years.

 -- Peter Pentchev <email address hidden>  Wed, 01 Aug 2018 16:37:15 +0300

Available diffs

Superseded in cosmic-release on 2018-08-02
Deleted in cosmic-proposed on 2018-08-03 (Reason: moved to release)
libdebug (0.5.2-3) unstable; urgency=low

  * Use my Debian e-mail address.
  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Use the new B-D: debhelper-compat (= 11) mechanism.

 -- Peter Pentchev <email address hidden>  Tue, 05 Jun 2018 11:23:12 +0300

Available diffs

Superseded in cosmic-release on 2018-06-05
Published in bionic-release on 2018-01-23
Deleted in bionic-proposed (Reason: moved to release)
libdebug (0.5.2-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.3 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza.
  * Let dpkg-buildflags take care of Large File Support.
  * Bump the debhelper compatibility level to 11 with no changes.

 -- Peter Pentchev <email address hidden>  Mon, 15 Jan 2018 18:06:12 +0200

Available diffs

Superseded in bionic-release on 2018-01-23
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
libdebug (0.5.2-1) unstable; urgency=medium

  * Acknowledge NMU; thanks, Jakub Wilk.
  * Use the HTTPS scheme for various Debian and upstream URLs.
  * Fix the upstream metadata file: Bug-Submit should be an URL.
  * Use single quotes around a constant string the rules file.
  * Bump the year on my debian/* copyright notice.
  * Build-depend on debhelper 10 now that it's even in jessie-backports;
    remove the Lintian override.
  * Switch the watch file back to pgpsigurlmangle, since pgpmode=auto may
    silently ignore a missing upstream signature.
  * Use the v4 substitution variables in the watch file.
  * Re-enable PIE in the build hardening flags.
  * New upstream release:
    - re-enable parallel building after it was fixed upstream
    - update the upstream copyright years and merge the upstream
      copyright clauses

 -- Peter Pentchev <email address hidden>  Mon, 09 Jan 2017 16:00:25 +0200

Available diffs

  • diff from 0.5.1-1.1 to 0.5.2-1 (pending)
Superseded in zesty-release on 2017-01-10
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed on 2018-01-23 (Reason: moved to release)
libdebug (0.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Disable parallel builds (closes: #822194).

 -- Jakub Wilk <email address hidden>  Fri, 06 May 2016 21:04:02 +0200

Available diffs

Superseded in yakkety-proposed on 2016-05-08
libdebug (0.5.1-1) unstable; urgency=medium

  * Acknowledge Jakub Wilk's NMU; thanks!
  * Declare compliance with Debian Policy 3.9.8:
    - update the copyright file to version 1.0 of the machine-readable
      copyright file format specification
    - drop the DM-Upload-Allowed field from the source control stanza
  * Switch the Vcs-* fields over to the new GitLab full-source repository
    and use HTTPS as a transport scheme.
  * Update the watch file a bit:
    - update it to version 4
    - use pgpmode=auto to let uscan discover the upstream PGP signature
    - add the upstream (my own) PGP key to verify against
    - also look for *.tar.xz files
  * Use dpkg-dev's default source compression method.
  * Bump the debhelper compatibility level to 10:
    - use the build flags that it sets in the environment, dropping
      the build dependencies on dpkg-dev and hardening-includes
    - take advantage of its parallel build by default
    - override the Lintian debhelper version warning as it itself suggests
  * Drop misc:Pre-Depends from the libdebug0 binary package.
  * Drop shlibs:Depends from the libdebug0-dev binary package.
  * Add an upstream metadata file.
  * Enable Large File Support.
  * Bump the year on my debian/* copyright notice.
  * New upstream release:
    - update the copyright information
  * Do not install the static library.
  * Drop the shlibs file and the debian/*.dirs files.
  * Always build unstripped binaries, let dh_strip do its thing as needed.
    Reported by: Jakub Wilk <email address hidden>
  * Use wildcards in the debian/*.install files instead of autogenerating them.
    Submitted by: Jakub Wilk <email address hidden>

 -- Peter Pentchev <email address hidden>  Mon, 18 Apr 2016 16:56:42 +0300
Superseded in yakkety-release on 2016-05-08
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
libdebug (0.4.4-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * Move the static library and the .so symlink to multiarch directory
    (closes: #648903).
  * Mark the -dev package as Multi-Arch: same (closes: #648905).
  * Use multi-arch paths in lintian override.

 -- Jakub Wilk <email address hidden>  Fri, 06 Jan 2012 02:38:35 +0100

Available diffs

Superseded in quantal-release on 2012-05-01
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
libdebug (0.4.4-1) unstable; urgency=low
  * New upstream release to fix a compiler warning.  * Bump Standards-Version to 3.9.2 with no changes.  * Update the copyright file to the latest revision of the DEP 5    candidate format and bump the year on my copyright notice.  * Convert to multiarch:    - pass /usr/lib/triplet as "libdir" to dh_auto_install    - substitute DEB_HOST_MULTIARCH in libdebug0.install    - specify Multi-Arch: same for libdebug0 and Multi-Arch: foreign      for libdebug0-dev    - bump the debhelper build dependency to 8.1.3~ and add misc:Pre-Depends      for the libdebug0 package  * Upload to unstable. -- Peter Pentchev <email address hidden>  Tue, 19 Jul 2011 16:56:40 +0300
Superseded in oneiric-release on 2011-07-27
Obsolete in natty-release on 2013-06-04
libdebug (0.4.3-2) unstable; urgency=low

  * Fix the libdebug0-dev dependency on the exact binary:Version of libdebug0.
  * Convert to the 3.0 (quilt) source format with no changes.
  * Bump Standards-Version to 3.9.0 with no changes.
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values of
    CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file to the latest revision of the DEP 5 format and
    bump the year on my copyright notice.
  * Shorten the Vcs-Browser URL.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 09:38:09 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
libdebug (0.4.3-1) unstable; urgency=low

  * New maintainer.  Closes: #499260
  * Override a "shlib calls exit" lintian warning - this is a debugging
    library, it is supposed to exit on grave errors.
  * Add a symbols file starting at libdebug0-0.4.2 obtained from mole.
  * Make this a non-native package.
  * Add a watch file.
  * Convert the copyright file to the machine-readable format and
    add my copyright notice.
  * Add the Vcs-Svn and Vcs-Browser control fields.
  * Bump the debhelper compatibility version to 7:
    - add misc:Depends to the binary package
  * Bump Standards-Version to 3.8.1:
    - use binary:Version instead of hardcoding the dependencies between
      the binary packages
    - support "nostrip" in DEB_BUILD_OPTIONS.  Closes: #437346
    - add the Homepage control field
  * Build with lots of compiler warning flags.
  * Build with -Werror if "werror" is in DEB_BUILD_OPTIONS.
  * Enable build hardening unless "nohardening" is in DEB_BUILD_OPTIONS.
  * Remove the unused debian/Makefile.
  * Remove debian/libdebug0.postinst - dh_makeshlibs takes care of this.
  * Do not try to clean the source in the "build" target, it's upstream's
    job now.
  * Use dh_install instead of dh_movefiles.
  * Minimize the rules file using debhelper override targets.
  * Pass prefix correctly during the install phase now that upstream
    supports DESTDIR in the canonical way.

 -- Andrew Starr-Bochicchio <email address hidden>   Mon,  22 Jun 2009 15:54:32 +0100

Available diffs

Superseded in karmic-release on 2009-06-22
Obsolete in jaunty-release on 2013-02-28
libdebug (0.4.2ubuntu2) jaunty; urgency=low

  * Fakesync from Debian. No Ubuntu Changes

Available diffs

Superseded in jaunty-release on 2008-11-07
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
libdebug (0.4.2ubuntu1) hardy; urgency=low

  * debian/rules, Makefile:
    + Fix bashism to fix FTBFS.
  * debian/control:
    + Modify Maintainer value to match DebianMaintainerField spec.

 -- Michael Bienia <email address hidden>   Tue, 01 Jan 2008 19:48:03 +0100
Superseded in hardy-release on 2008-01-01
Obsolete in gutsy-release on 2011-09-16
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
libdebug (0.4.2) unstable; urgency=high


  * Fixed man page sections.

 -- Abraham vd Merwe <email address hidden>  Sun, 22 Aug 2004 15:44:30 +0200
Obsolete in warty-release on 2008-01-09
libdebug (0.3.2) unstable; urgency=high


  * Added malloc attributes.
  * New Makefile system.
  * Optimized hexdump() routine and print 8-digit offsets.
  * Added man pages.

 -- Abraham vd Merwe <email address hidden>  Sun, 26 Oct 2003 15:29:05 +0200
117 of 17 results